package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag496;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT496Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT496Creator mt496Creator;

    public Tag20Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt496Creator = (MT496Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag20Value = mt496Creator.getTransactionReferenceNumber();
        mt496Creator.set("20", tag20Value);
    }
}
